(function (Drupal) {
  Drupal.behaviors.livePreview = {

    attach: function (context, settings) {
      function applyElementColors(element){
        const previewTargetId = element.getAttribute('data-preview-target');
        const previewProperty = element.getAttribute('data-preview-property');
        const previewTarget = document.getElementById(previewTargetId);

        if (previewTarget && previewProperty) {
          if (previewProperty == 'border-radius'){
            previewTarget.style[previewProperty] = element.value + 'px';
          } else {
            previewTarget.style[previewProperty] = element.value;
          }
        }
      }

      // Trova tutti gli input con la classe `live-preview-color`.
      document.querySelectorAll('.live-preview').forEach(function (element) {
        // Aggiungi un listener per l'evento "input" per aggiornare l'anteprima.
        applyElementColors(element);
        element.addEventListener('input', function () {
          applyElementColors(element);
        });
      });
    },
  };
})(Drupal);
